<?php

namespace BS\RealTimeChat\Cli;

use BS\RealTimeChat\Workerman\ServerIO;
use Symfony\Component\Console\Input\ArgvInput;
use Workerman\Worker;

class WorkermanRunner
{
    const COMMAND_START = 'start';

    public function run()
    {
        if (PHP_SAPI != 'cli')
        {
            die('This script can only be run via the command line interface.');
        }

        \XF::app();

        \XF::setMemoryLimit(-1);
        @set_time_limit(0);

        $input = new ArgvInput();

        $name = $input->getFirstArgument();
        if ($name == self::COMMAND_START)
        {
            ServerIO::start();
        }
        else
        {
            Worker::runAll();
        }
    }
}