<?php

namespace BS\RealTimeChat\XF\Repository;

use XF\Mvc\Entity\Finder;
use XF\Mvc\Entity\Repository;

class UserIgnored extends XFCP_UserIgnored
{
	public function rebuildIgnoredCache($userId)
    {
        $cache = parent::rebuildIgnoredCache($userId);

        $emitter = $this->app()['chatEmitter'];
        $emitter->in($userId)->emit('update ignore', array_keys($cache));

        return $cache;
    }
}

if (false)
{
    class XFCP_UserIgnored extends \XF\Repository\UserIgnored {}
}