<?php

namespace BS\RealTimeChat\ChatCommand;

class Clear extends AbstractCommand
{
    public function canUse()
    {
        return \XF::visitor()->canChatClear();
    }

    protected function _render()
    {
        $this->db()->emptyTable('xf_bs_chat');
        $this->message->message = \XF::phrase('real_time_chat_has_been_cleared');
        $this->app['chatEmitter']->emit('clear');

        return true;
    } 
}