<?php

namespace BS\RealTimeChat\Workerman\Events;

use PHPSocketIO\Socket;

class Auth extends AbstractEvent
{
    protected function render(Socket $socket, ...$args)
    {
        $visitor = \XF::visitor();
        if ($visitor->canViewChat() && ! $visitor->ChatBan)
        {
            $socket->join($visitor->user_id);
        }
        else
        {
            $socket->disconnect(true);
        }
    }
}